<?php

namespace AutoAdmin\Bundle\Content\Duplicator;

interface DuplicatorInterface
{
    /**
     * @return array
     */
    public function isSupported(object $entity): bool;

    /**
     * @param object $entity
     * @param object $duplicate
     *
     * @return object
     */
    public function duplicate(object $entity, object $duplicate, ?object $parent = null): object;
}
